<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
echo "<title>cPanel</title>";
echo "<style type=\"text/css\">";
echo "body { margin: auto; max-width: 500px; font: 12px Arial; color: #808080; background-color: #000000; }";
echo "a:link,a:visited { text-decoration: none; color: b0c4db; }";
echo "div { background-color: #202020; border-style:solid; border-width: 1px; }";
echo "img { vertical-align: middle; }";
echo "</style>";
echo "</head>";
echo "<body>";
$login = autorize();
$sound =  $login['sound'] ;
$login = $row['login'];
$level = $row['level'];
if ( $level < 4 )
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
echo "<div>Тебе сюда нельзя !</div>";
}
else
{
if ( $del )
{
$mod = "del";
}
else if ( $kick )
{
$mod = "kick";
}
else if ( $ban )
{
$mod = "ban";
}
else
{
$mod = $mod;
}
$bid = intval( $bid );
$q = mysql_query( "select * from users where id='".$bid."';" );
if ( mysql_num_rows( $q ) == 0 )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
print "<div>Такого юзера не существует!</div>";
}
else
{
$data = mysql_fetch_array( $q );
$tlogin = $data['login'];
$tid = $data['id'];
$tip = $data['ip'];
$tbrows = $data['browser'];
$curtime = time( );
if ( $level <= $data['level'] )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div><b>Недостаточно прав для продолжения операции!</b></div>";
}
else
{
switch ( $mod )
{
case "kick" :
if ( empty( $do ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo "<form method=\"post\" action=\"tools.php\">";
echo "<div><b>Пнуть {$tlogin}</b></div>";
echo "На сколько (мин)<br/>";
echo "<input name=\"min\" maxlength=\"3\"/><br/>";
echo "Причина<br/>";
echo "<textarea cols=\"15\" rows=\"3\" name=\"why\"></textarea><br>";
echo "<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>";
echo "<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/>";
echo "<input type=\"hidden\" name=\"bid\" value=\"{$tid}\"/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"{$mod}\"/>";
echo "<input type=\"hidden\" name=\"do\" value=\"do\"/>";
echo "<input type=\"hidden\" name=\"rm\" value=\"{$rm}\"/>";
echo "<input type=\"submit\" class=\"cp\" value=\"Пнуть засранца\" /><br/>";
echo "</form>";
break;
}
else
{
$min = intval( $min );
$sec = $min * 60;
$wtime = $sec + time( );
$why = substr( $why, 0, 100 );
$why = check( $why );
if ( mysql_query( "update users set kick='".$wtime."', whokick='".$login."', whykick='".$why."'  where id='".$bid."';" ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/ban.wav\"></br>";
}
print "<div><b>{$tlogin}</b> выпнут из чата на {$min} минут!</div>";
/////////////
$time = time( );
$msg = "<b><u>{$tlogin}</u></b> Выпнут из чата. причина: {$why}.Думаю одуматсо хватит минут так {$min}</u>!";
mysql_query( "Insert into mess set login='$login', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
//////////////
break;
}
}
case "del" :
if ( $level < 7 )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Нет прав на данную операцию!</div>";
break;
}
else
{
if ( empty( $do ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo "<div><b>Внимание!</b></div>";
echo "Вы действительно хотите\r<b><a href=\"tools.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=add&amp;bid={$tid}&amp;rm={$rm}&amp;ref={$ref}\">удалить</a></b>\rпользователя\r<b>{$tlogin}</b>?<br/>";
break;
}
else
{
echo "<div>";
if ( @mysql_query( @"delete from `users` where id='{$bid}';" ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/ban.wav\"></br>";
}
echo "<b><u>{$tlogin}</u></b> удален из базы!";
$time = time( );
$msg = "<b><u>{$tlogin}</u></b> удален из Чата! Истина одна. И необсуждается. АДМИН ВСЕГДА ПРАВ!";
mysql_query( "Insert into mess set login='$login', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
}
else
{
echo "Произошла ошибка...<br/>";
}
echo "</div>";
break;
}
}
case "ban" :
if ( $level < 5 )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Нет прав на данную операцию!</div>";
}
else if ( empty( $do ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo "<form method=\"post\" action=\"tools.php\">";
echo "<div><b>Забанить {$tlogin}</b></div>";
echo "Причина<br/>";
echo "<input name=\"why\" maxlength=\"200\" size=\"15\"/><br/>";
echo "<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>";
echo "<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/>";
echo "<input type=\"hidden\" name=\"bid\" value=\"{$tid}\"/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"{$mod}\"/>";
echo "<input type=\"hidden\" name=\"do\" value=\"do\"/>";
echo "<input type=\"hidden\" name=\"rm\" value=\"{$rm}\"/>";
echo "<input type=\"submit\" class=\"cp\" value=\"Забанить\" /><br/>";
echo "</form>";
}
else
{
$curtime = time( );
$why = substr( $why, 0, 100 );
$why = check( $why );
mysql_query( "insert into ban values(0,'{$tip}','{$tbrows}','{$curtime}');" );
if ( mysql_query( "update users set ban='1', whokick='".$login."', whykick='".$why."'  where id='".$bid."';" ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/ban.wav\"></br>";
}
echo "<div><b>".$data['login']."</b> забанен!</div>";

$time = time( );
$msg = "<b>".$data['login']."</b> Забанен по связке ип+софт: Причина {$why}!";
mysql_query( "Insert into mess set login='$login', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
}
else
{
echo "<div>Ошибка...</div>";
break;
}
}
}
}
}
echo "---<br/>";
if ( isset( $rm ) )
{
echo "<a href=\"../room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">В чат</a><br/>";
}
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">cPanel</a><br/>\n";
}
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/>\n";
$end = gettime( );
echo "<p align=\"center\">";
echo "[".round( $end - $mystart, 5 )."]<p>{$ip}</p>";
require("../inc/coper.php");
echo "</p></body></html>";
mysql_close( $link );
?>